#pragma once
#include <vector>
#include <string>

namespace modules
{
    namespace game
    {
        #define GAME_NONE              -1
        #define GAME_MENU               0
        #define GAME_DEAD               1
        #define GAME_EDITOR_MAP         2
        #define GAME_EDITOR_TEMPLATES   3
        #define GAME_EDITOR_COLORS      4
        #define GAME_EDITOR_BITMAP_FILE 5
        #define GAME_EDITOR_BITMAP_POS  6
        #define GAME_EDITOR_BITMAP_SIZE 7
        #define GAME_END                8
        #define GAME_PROLOGO_END        9

        enum sections { SECTION_GENERAL, SECTION_ROOM, SECTION_ACTOR };

        void init(const bool prologo=false);
        int loop();

        void setSection(int value);
        const int getSection();

        std::vector<std::string> getGifs();

        void setMissatge(const char *text);
    }
}
